Skip to main content

listunspent

listunspent ( minconf maxconf ["address",...] include_unsafe query_options )

Returns array of unspent transaction outputs with between minconf and maxconf (inclusive) confirmations.

Optionally filter to only include txouts paid to specified addresses.

Argument #1 - minconf​

Type: numeric, optional, default=1

The minimum confirmations to filter

Argument #2 - maxconf​

Type: numeric, optional, default=9999999

The maximum confirmations to filter

Argument #3 - addresses​

Type: json array, optional, default=[]

The reddcoin addresses to filter

[
"address", (string) reddcoin address
...
]

Argument #4 - include_unsafe​

Type: boolean, optional, default=true

Include outputs that are not safe to spend

: See description of "safe" attribute below.

Argument #5 - query_options​

Type: json object, optional

JSON with query options

{
"minimumAmount": amount, (numeric or string, optional, default="0.00") Minimum value of each UTXO in RDD
"maximumAmount": amount, (numeric or string, optional, default=unlimited) Maximum value of each UTXO in RDD
"maximumCount": n, (numeric, optional, default=unlimited) Maximum number of UTXOs
"minimumSumAmount": amount, (numeric or string, optional, default=unlimited) Minimum sum value of all UTXOs in RDD
}

Result​

[ (json array)
{ (json object)
"txid" : "hex", (string) the transaction id
"vout" : n, (numeric) the vout value
"address" : "str", (string) the reddcoin address
"label" : "str", (string) The associated label, or "" for the default label
"scriptPubKey" : "str", (string) the script key
"amount" : n, (numeric) the transaction output amount in RDD
"confirmations" : n, (numeric) The number of confirmations
"redeemScript" : "hex", (string) The redeemScript if scriptPubKey is P2SH
"witnessScript" : "str", (string) witnessScript if the scriptPubKey is P2WSH or P2SH-P2WSH
"spendable" : true|false, (boolean) Whether we have the private keys to spend this output
"solvable" : true|false, (boolean) Whether we know how to spend this output, ignoring the lack of keys
"reused" : true|false, (boolean) (only present if avoid_reuse is set) Whether this output is reused/dirty (sent to an address that was previously spent from)
"desc" : "str", (string) (only when solvable) A descriptor for spending this output
"safe" : true|false (boolean) Whether this output is considered safe to spend. Unconfirmed transactions
from outside keys and unconfirmed replacement transactions are considered unsafe
and are not eligible for spending by fundrawtransaction and sendtoaddress.
},
...
]

Examples​

reddcoin-cli listunspent
reddcoin-cli listunspent 6 9999999 "[\"bc1q09vm5lfy0j5reeulh4x5752q25uqqvz34hufdl\",\"bc1q02ad21edsxd23d32dfgqqsz4vv4nmtfzuklhy3\"]"
curl --user myusername --data-binary '{"jsonrpc": "1.0", "id": "curltest", "method": "listunspent", "params": [6, 9999999 "[\"bc1q09vm5lfy0j5reeulh4x5752q25uqqvz34hufdl\",\"bc1q02ad21edsxd23d32dfgqqsz4vv4nmtfzuklhy3\"]"]}' -H 'content-type: text/plain;' http://127.0.0.1:45443/
reddcoin-cli listunspent 6 9999999 '[]' true '{ "minimumAmount": 0.005 }'
curl --user myusername --data-binary '`{"jsonrpc": "1.0", "id": "curltest", "method": "listunspent", "params": [6, 9999999, [] , true, { "minimumAmount": 0.005 } ]}`' -H 'content-type: text/plain;' http://127.0.0.1:45443/